﻿#include <iostream>
#include <vector>
#include "histogram.h"
#include <algorithm>
#include "text.h"
#include "svg.h"

using namespace std;
struct Input {
    vector<double> numbers;
    size_t bin_count{};
    vector<string> colors;
};

Input
input_data() {
    size_t number_count;
    cerr << "Enter number_count: ";
    cin >> number_count;
    Input in;
    cerr << "Enter numbers: ";
    in.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }
    cerr << "Enter bin_count: ";
    cin >> in.bin_count;
    in.colors.resize(in.bin_count);
    sort(begin(in.numbers), end(in.numbers));
    in.numbers.erase(unique(begin(in.numbers), end(in.numbers)), end(in.numbers));
    number_count = in.numbers.size();
    cerr << "Enter colors: ";
    for (size_t i = 0; i < in.bin_count; i++) {
        cin >> in.colors[i];
    }
    return in;
}



int main() {
    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins, in.colors);
}
       
       
    